"Fossies" - the Fresh Open Source Software Archive

Member "geoipupdate-3.1.1/bin/Makefile.in" (10 Sep 2018, 36813 Bytes) of package /linux/misc/geoipupdate-3.1.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

A hint: This file contains one or more very long lines, so maybe it is better readable using the pure text view mode that shows the contents as wrapped lines within the browser window.


    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 build_triplet = @build@
   90 host_triplet = @host@
   91 bin_PROGRAMS = geoipupdate$(EXEEXT)
   92 TESTS = functions_test$(EXEEXT)
   93 check_PROGRAMS = functions_test$(EXEEXT)
   94 subdir = bin
   95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   96 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   98 	$(ACLOCAL_M4)
   99 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  100 mkinstalldirs = $(install_sh) -d
  101 CONFIG_CLEAN_FILES =
  102 CONFIG_CLEAN_VPATH_FILES =
  103 am__installdirs = "$(DESTDIR)$(bindir)"
  104 PROGRAMS = $(bin_PROGRAMS)
  105 am_functions_test_OBJECTS = functions_test-functions.$(OBJEXT)
  106 functions_test_OBJECTS = $(am_functions_test_OBJECTS)
  107 functions_test_LDADD = $(LDADD)
  108 AM_V_lt = $(am__v_lt_@AM_V@)
  109 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  110 am__v_lt_0 = --silent
  111 am__v_lt_1 = 
  112 am_geoipupdate_OBJECTS = geoipupdate.$(OBJEXT) md5.$(OBJEXT) \
  113 	geoipupdate_s.$(OBJEXT) edition_s.$(OBJEXT) \
  114 	functions.$(OBJEXT)
  115 geoipupdate_OBJECTS = $(am_geoipupdate_OBJECTS)
  116 geoipupdate_DEPENDENCIES =
  117 geoipupdate_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  118 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  119 	$(geoipupdate_LDFLAGS) $(LDFLAGS) -o $@
  120 AM_V_P = $(am__v_P_@AM_V@)
  121 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  122 am__v_P_0 = false
  123 am__v_P_1 = :
  124 AM_V_GEN = $(am__v_GEN_@AM_V@)
  125 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  126 am__v_GEN_0 = @echo "  GEN     " $@;
  127 am__v_GEN_1 = 
  128 AM_V_at = $(am__v_at_@AM_V@)
  129 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  130 am__v_at_0 = @
  131 am__v_at_1 = 
  132 DEFAULT_INCLUDES = -I.@am__isrc@
  133 depcomp = $(SHELL) $(top_srcdir)/depcomp
  134 am__depfiles_maybe = depfiles
  135 am__mv = mv -f
  136 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  137 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  138 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  139 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  140 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  141 	$(AM_CFLAGS) $(CFLAGS)
  142 AM_V_CC = $(am__v_CC_@AM_V@)
  143 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  144 am__v_CC_0 = @echo "  CC      " $@;
  145 am__v_CC_1 = 
  146 CCLD = $(CC)
  147 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  148 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  149 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
  150 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  151 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  152 am__v_CCLD_0 = @echo "  CCLD    " $@;
  153 am__v_CCLD_1 = 
  154 SOURCES = $(functions_test_SOURCES) $(geoipupdate_SOURCES)
  155 DIST_SOURCES = $(functions_test_SOURCES) $(geoipupdate_SOURCES)
  156 am__can_run_installinfo = \
  157   case $$AM_UPDATE_INFO_DIR in \
  158     n|no|NO) false;; \
  159     *) (install-info --version) >/dev/null 2>&1;; \
  160   esac
  161 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  162 # Read a list of newline-separated strings from the standard input,
  163 # and print each of them once, without duplicates.  Input order is
  164 # *not* preserved.
  165 am__uniquify_input = $(AWK) '\
  166   BEGIN { nonempty = 0; } \
  167   { items[$$0] = 1; nonempty = 1; } \
  168   END { if (nonempty) { for (i in items) print i; }; } \
  169 '
  170 # Make sure the list of sources is unique.  This is necessary because,
  171 # e.g., the same source file might be shared among _SOURCES variables
  172 # for different programs/libraries.
  173 am__define_uniq_tagged_files = \
  174   list='$(am__tagged_files)'; \
  175   unique=`for i in $$list; do \
  176     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  177   done | $(am__uniquify_input)`
  178 ETAGS = etags
  179 CTAGS = ctags
  180 am__tty_colors_dummy = \
  181   mgn= red= grn= lgn= blu= brg= std=; \
  182   am__color_tests=no
  183 am__tty_colors = { \
  184   $(am__tty_colors_dummy); \
  185   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  186     am__color_tests=no; \
  187   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  188     am__color_tests=yes; \
  189   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  190     am__color_tests=yes; \
  191   fi; \
  192   if test $$am__color_tests = yes; then \
  193     red=''; \
  194     grn=''; \
  195     lgn=''; \
  196     blu=''; \
  197     mgn=''; \
  198     brg=''; \
  199     std=''; \
  200   fi; \
  201 }
  202 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  203 am__vpath_adj = case $$p in \
  204     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  205     *) f=$$p;; \
  206   esac;
  207 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  208 am__install_max = 40
  209 am__nobase_strip_setup = \
  210   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  211 am__nobase_strip = \
  212   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  213 am__nobase_list = $(am__nobase_strip_setup); \
  214   for p in $$list; do echo "$$p $$p"; done | \
  215   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  216   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  217     if (++n[$$2] == $(am__install_max)) \
  218       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  219     END { for (dir in files) print dir, files[dir] }'
  220 am__base_list = \
  221   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  222   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  223 am__uninstall_files_from_dir = { \
  224   test -z "$$files" \
  225     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  226     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  227          $(am__cd) "$$dir" && rm -f $$files; }; \
  228   }
  229 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  230 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  231 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  232 # A command that, given a newline-separated list of test names on the
  233 # standard input, print the name of the tests that are to be re-run
  234 # upon "make recheck".
  235 am__list_recheck_tests = $(AWK) '{ \
  236   recheck = 1; \
  237   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  238     { \
  239       if (rc < 0) \
  240         { \
  241           if ((getline line2 < ($$0 ".log")) < 0) \
  242 	    recheck = 0; \
  243           break; \
  244         } \
  245       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  246         { \
  247           recheck = 0; \
  248           break; \
  249         } \
  250       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  251         { \
  252           break; \
  253         } \
  254     }; \
  255   if (recheck) \
  256     print $$0; \
  257   close ($$0 ".trs"); \
  258   close ($$0 ".log"); \
  259 }'
  260 # A command that, given a newline-separated list of test names on the
  261 # standard input, create the global log from their .trs and .log files.
  262 am__create_global_log = $(AWK) ' \
  263 function fatal(msg) \
  264 { \
  265   print "fatal: making $@: " msg | "cat >&2"; \
  266   exit 1; \
  267 } \
  268 function rst_section(header) \
  269 { \
  270   print header; \
  271   len = length(header); \
  272   for (i = 1; i <= len; i = i + 1) \
  273     printf "="; \
  274   printf "\n\n"; \
  275 } \
  276 { \
  277   copy_in_global_log = 1; \
  278   global_test_result = "RUN"; \
  279   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  280     { \
  281       if (rc < 0) \
  282          fatal("failed to read from " $$0 ".trs"); \
  283       if (line ~ /$(am__global_test_result_rx)/) \
  284         { \
  285           sub("$(am__global_test_result_rx)", "", line); \
  286           sub("[ 	]*$$", "", line); \
  287           global_test_result = line; \
  288         } \
  289       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  290         copy_in_global_log = 0; \
  291     }; \
  292   if (copy_in_global_log) \
  293     { \
  294       rst_section(global_test_result ": " $$0); \
  295       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  296       { \
  297         if (rc < 0) \
  298           fatal("failed to read from " $$0 ".log"); \
  299         print line; \
  300       }; \
  301       printf "\n"; \
  302     }; \
  303   close ($$0 ".trs"); \
  304   close ($$0 ".log"); \
  305 }'
  306 # Restructured Text title.
  307 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  308 # Solaris 10 'make', and several other traditional 'make' implementations,
  309 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  310 # by disabling -e (using the XSI extension "set +e") if it's set.
  311 am__sh_e_setup = case $$- in *e*) set +e;; esac
  312 # Default flags passed to test drivers.
  313 am__common_driver_flags = \
  314   --color-tests "$$am__color_tests" \
  315   --enable-hard-errors "$$am__enable_hard_errors" \
  316   --expect-failure "$$am__expect_failure"
  317 # To be inserted before the command running the test.  Creates the
  318 # directory for the log if needed.  Stores in $dir the directory
  319 # containing $f, in $tst the test, in $log the log.  Executes the
  320 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  321 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  322 # will run the test scripts (or their associated LOG_COMPILER, if
  323 # thy have one).
  324 am__check_pre = \
  325 $(am__sh_e_setup);					\
  326 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  327 $(am__tty_colors);					\
  328 srcdir=$(srcdir); export srcdir;			\
  329 case "$@" in						\
  330   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  331     *) am__odir=.;; 					\
  332 esac;							\
  333 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  334   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  335 if test -f "./$$f"; then dir=./;			\
  336 elif test -f "$$f"; then dir=;				\
  337 else dir="$(srcdir)/"; fi;				\
  338 tst=$$dir$$f; log='$@'; 				\
  339 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  340   am__enable_hard_errors=no; 				\
  341 else							\
  342   am__enable_hard_errors=yes; 				\
  343 fi; 							\
  344 case " $(XFAIL_TESTS) " in				\
  345   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  346     am__expect_failure=yes;;				\
  347   *)							\
  348     am__expect_failure=no;;				\
  349 esac; 							\
  350 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  351 # A shell command to get the names of the tests scripts with any registered
  352 # extension removed (i.e., equivalently, the names of the test logs, with
  353 # the '.log' extension removed).  The result is saved in the shell variable
  354 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  355 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  356 # since that might cause problem with VPATH rewrites for suffix-less tests.
  357 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  358 am__set_TESTS_bases = \
  359   bases='$(TEST_LOGS)'; \
  360   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  361   bases=`echo $$bases`
  362 RECHECK_LOGS = $(TEST_LOGS)
  363 AM_RECURSIVE_TARGETS = check recheck
  364 TEST_SUITE_LOG = test-suite.log
  365 TEST_EXTENSIONS = @EXEEXT@ .test
  366 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  367 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  368 am__set_b = \
  369   case '$@' in \
  370     */*) \
  371       case '$*' in \
  372         */*) b='$*';; \
  373           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  374        esac;; \
  375     *) \
  376       b='$*';; \
  377   esac
  378 am__test_logs1 = $(TESTS:=.log)
  379 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  380 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  381 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  382 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  383 	$(TEST_LOG_FLAGS)
  384 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
  385 	$(top_srcdir)/test-driver
  386 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  387 ACLOCAL = @ACLOCAL@
  388 AMTAR = @AMTAR@
  389 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  390 AR = @AR@
  391 AUTOCONF = @AUTOCONF@
  392 AUTOHEADER = @AUTOHEADER@
  393 AUTOMAKE = @AUTOMAKE@
  394 AWK = @AWK@
  395 CC = @CC@
  396 CCDEPMODE = @CCDEPMODE@
  397 CFLAGS = @CFLAGS@
  398 CPP = @CPP@
  399 CPPFLAGS = @CPPFLAGS@
  400 CYGPATH_W = @CYGPATH_W@
  401 DEFS = @DEFS@
  402 DEPDIR = @DEPDIR@
  403 DLLTOOL = @DLLTOOL@
  404 DSYMUTIL = @DSYMUTIL@
  405 DUMPBIN = @DUMPBIN@
  406 ECHO_C = @ECHO_C@
  407 ECHO_N = @ECHO_N@
  408 ECHO_T = @ECHO_T@
  409 EGREP = @EGREP@
  410 EXEEXT = @EXEEXT@
  411 FGREP = @FGREP@
  412 GEOIPUPDATE_VERSION_INFO = @GEOIPUPDATE_VERSION_INFO@
  413 GREP = @GREP@
  414 INSTALL = @INSTALL@
  415 INSTALL_DATA = @INSTALL_DATA@
  416 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  417 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  418 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  419 LD = @LD@
  420 LDFLAGS = @LDFLAGS@
  421 LIBOBJS = @LIBOBJS@
  422 LIBS = @LIBS@
  423 LIBTOOL = @LIBTOOL@
  424 LIPO = @LIPO@
  425 LN_S = @LN_S@
  426 LTLIBOBJS = @LTLIBOBJS@
  427 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  428 MAKEINFO = @MAKEINFO@
  429 MANIFEST_TOOL = @MANIFEST_TOOL@
  430 MKDIR_P = @MKDIR_P@
  431 NM = @NM@
  432 NMEDIT = @NMEDIT@
  433 OBJDUMP = @OBJDUMP@
  434 OBJEXT = @OBJEXT@
  435 OTOOL = @OTOOL@
  436 OTOOL64 = @OTOOL64@
  437 PACKAGE = @PACKAGE@
  438 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  439 PACKAGE_NAME = @PACKAGE_NAME@
  440 PACKAGE_STRING = @PACKAGE_STRING@
  441 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  442 PACKAGE_URL = @PACKAGE_URL@
  443 PACKAGE_VERSION = @PACKAGE_VERSION@
  444 PATH_SEPARATOR = @PATH_SEPARATOR@
  445 RANLIB = @RANLIB@
  446 SED = @SED@
  447 SET_MAKE = @SET_MAKE@
  448 SHELL = @SHELL@
  449 STRIP = @STRIP@
  450 VERSION = @VERSION@
  451 abs_builddir = @abs_builddir@
  452 abs_srcdir = @abs_srcdir@
  453 abs_top_builddir = @abs_top_builddir@
  454 abs_top_srcdir = @abs_top_srcdir@
  455 ac_ct_AR = @ac_ct_AR@
  456 ac_ct_CC = @ac_ct_CC@
  457 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  458 am__include = @am__include@
  459 am__leading_dot = @am__leading_dot@
  460 am__quote = @am__quote@
  461 am__tar = @am__tar@
  462 am__untar = @am__untar@
  463 bindir = @bindir@
  464 build = @build@
  465 build_alias = @build_alias@
  466 build_cpu = @build_cpu@
  467 build_os = @build_os@
  468 build_vendor = @build_vendor@
  469 builddir = @builddir@
  470 datadir = @datadir@
  471 datarootdir = @datarootdir@
  472 docdir = @docdir@
  473 dvidir = @dvidir@
  474 exec_prefix = @exec_prefix@
  475 host = @host@
  476 host_alias = @host_alias@
  477 host_cpu = @host_cpu@
  478 host_os = @host_os@
  479 host_vendor = @host_vendor@
  480 htmldir = @htmldir@
  481 includedir = @includedir@
  482 infodir = @infodir@
  483 install_sh = @install_sh@
  484 libdir = @libdir@
  485 libexecdir = @libexecdir@
  486 localedir = @localedir@
  487 localstatedir = @localstatedir@
  488 mandir = @mandir@
  489 mkdir_p = @mkdir_p@
  490 oldincludedir = @oldincludedir@
  491 pdfdir = @pdfdir@
  492 prefix = @prefix@
  493 program_transform_name = @program_transform_name@
  494 psdir = @psdir@
  495 runstatedir = @runstatedir@
  496 sbindir = @sbindir@
  497 sharedstatedir = @sharedstatedir@
  498 srcdir = @srcdir@
  499 sysconfdir = @sysconfdir@
  500 target_alias = @target_alias@
  501 top_build_prefix = @top_build_prefix@
  502 top_builddir = @top_builddir@
  503 top_srcdir = @top_srcdir@
  504 AM_CPPFLAGS = -I$(top_srcdir)/src -DSYSCONFDIR=\"$(sysconfdir)\" -DDATADIR=\"$(datadir)/GeoIP\" \
  505 			  -std=c99 -Wall -Wextra
  506 
  507 geoipupdate_SOURCES = \
  508 					  geoipupdate.c geoipupdate.h \
  509 					  md5.c md5.h \
  510 					  geoipupdate_s.c \
  511 					  edition_s.c \
  512 					  types.h \
  513 					  functions.c functions.h
  514 
  515 geoipupdate_LDFLAGS = 
  516 geoipupdate_LDADD = 
  517 functions_test_SOURCES = functions.c
  518 functions_test_CPPFLAGS = $(AM_CPPFLAGS) -DTEST_FUNCTIONS
  519 all: all-am
  520 
  521 .SUFFIXES:
  522 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  523 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  524 	@for dep in $?; do \
  525 	  case '$(am__configure_deps)' in \
  526 	    *$$dep*) \
  527 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  528 	        && { if test -f $@; then exit 0; else break; fi; }; \
  529 	      exit 1;; \
  530 	  esac; \
  531 	done; \
  532 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign bin/Makefile'; \
  533 	$(am__cd) $(top_srcdir) && \
  534 	  $(AUTOMAKE) --foreign bin/Makefile
  535 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  536 	@case '$?' in \
  537 	  *config.status*) \
  538 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  539 	  *) \
  540 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  541 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  542 	esac;
  543 
  544 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  545 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  546 
  547 $(top_srcdir)/configure:  $(am__configure_deps)
  548 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  549 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  550 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  551 $(am__aclocal_m4_deps):
  552 install-binPROGRAMS: $(bin_PROGRAMS)
  553 	@$(NORMAL_INSTALL)
  554 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  555 	if test -n "$$list"; then \
  556 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  557 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  558 	fi; \
  559 	for p in $$list; do echo "$$p $$p"; done | \
  560 	sed 's/$(EXEEXT)$$//' | \
  561 	while read p p1; do if test -f $$p \
  562 	 || test -f $$p1 \
  563 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  564 	done | \
  565 	sed -e 'p;s,.*/,,;n;h' \
  566 	    -e 's|.*|.|' \
  567 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  568 	sed 'N;N;N;s,\n, ,g' | \
  569 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  570 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  571 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  572 	    else { print "f", $$3 "/" $$4, $$1; } } \
  573 	  END { for (d in files) print "f", d, files[d] }' | \
  574 	while read type dir files; do \
  575 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  576 	    test -z "$$files" || { \
  577 	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  578 	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  579 	    } \
  580 	; done
  581 
  582 uninstall-binPROGRAMS:
  583 	@$(NORMAL_UNINSTALL)
  584 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  585 	files=`for p in $$list; do echo "$$p"; done | \
  586 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  587 	      -e 's/$$/$(EXEEXT)/' \
  588 	`; \
  589 	test -n "$$list" || exit 0; \
  590 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  591 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  592 
  593 clean-binPROGRAMS:
  594 	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
  595 	echo " rm -f" $$list; \
  596 	rm -f $$list || exit $$?; \
  597 	test -n "$(EXEEXT)" || exit 0; \
  598 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  599 	echo " rm -f" $$list; \
  600 	rm -f $$list
  601 
  602 clean-checkPROGRAMS:
  603 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  604 	echo " rm -f" $$list; \
  605 	rm -f $$list || exit $$?; \
  606 	test -n "$(EXEEXT)" || exit 0; \
  607 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  608 	echo " rm -f" $$list; \
  609 	rm -f $$list
  610 
  611 functions_test$(EXEEXT): $(functions_test_OBJECTS) $(functions_test_DEPENDENCIES) $(EXTRA_functions_test_DEPENDENCIES) 
  612 	@rm -f functions_test$(EXEEXT)
  613 	$(AM_V_CCLD)$(LINK) $(functions_test_OBJECTS) $(functions_test_LDADD) $(LIBS)
  614 
  615 geoipupdate$(EXEEXT): $(geoipupdate_OBJECTS) $(geoipupdate_DEPENDENCIES) $(EXTRA_geoipupdate_DEPENDENCIES) 
  616 	@rm -f geoipupdate$(EXEEXT)
  617 	$(AM_V_CCLD)$(geoipupdate_LINK) $(geoipupdate_OBJECTS) $(geoipupdate_LDADD) $(LIBS)
  618 
  619 mostlyclean-compile:
  620 	-rm -f *.$(OBJEXT)
  621 
  622 distclean-compile:
  623 	-rm -f *.tab.c
  624 
  625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/edition_s.Po@am__quote@
  626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functions.Po@am__quote@
  627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functions_test-functions.Po@am__quote@
  628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/geoipupdate.Po@am__quote@
  629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/geoipupdate_s.Po@am__quote@
  630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md5.Po@am__quote@
  631 
  632 .c.o:
  633 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  634 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  635 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  636 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  637 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  638 
  639 .c.obj:
  640 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  641 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  642 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  643 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  644 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  645 
  646 .c.lo:
  647 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  648 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  649 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  650 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  651 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  652 
  653 functions_test-functions.o: functions.c
  654 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(functions_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT functions_test-functions.o -MD -MP -MF $(DEPDIR)/functions_test-functions.Tpo -c -o functions_test-functions.o `test -f 'functions.c' || echo '$(srcdir)/'`functions.c
  655 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/functions_test-functions.Tpo $(DEPDIR)/functions_test-functions.Po
  656 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='functions.c' object='functions_test-functions.o' libtool=no @AMDEPBACKSLASH@
  657 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  658 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(functions_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o functions_test-functions.o `test -f 'functions.c' || echo '$(srcdir)/'`functions.c
  659 
  660 functions_test-functions.obj: functions.c
  661 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(functions_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT functions_test-functions.obj -MD -MP -MF $(DEPDIR)/functions_test-functions.Tpo -c -o functions_test-functions.obj `if test -f 'functions.c'; then $(CYGPATH_W) 'functions.c'; else $(CYGPATH_W) '$(srcdir)/functions.c'; fi`
  662 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/functions_test-functions.Tpo $(DEPDIR)/functions_test-functions.Po
  663 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='functions.c' object='functions_test-functions.obj' libtool=no @AMDEPBACKSLASH@
  664 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  665 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(functions_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o functions_test-functions.obj `if test -f 'functions.c'; then $(CYGPATH_W) 'functions.c'; else $(CYGPATH_W) '$(srcdir)/functions.c'; fi`
  666 
  667 mostlyclean-libtool:
  668 	-rm -f *.lo
  669 
  670 clean-libtool:
  671 	-rm -rf .libs _libs
  672 
  673 ID: $(am__tagged_files)
  674 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  675 tags: tags-am
  676 TAGS: tags
  677 
  678 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  679 	set x; \
  680 	here=`pwd`; \
  681 	$(am__define_uniq_tagged_files); \
  682 	shift; \
  683 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  684 	  test -n "$$unique" || unique=$$empty_fix; \
  685 	  if test $$# -gt 0; then \
  686 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  687 	      "$$@" $$unique; \
  688 	  else \
  689 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  690 	      $$unique; \
  691 	  fi; \
  692 	fi
  693 ctags: ctags-am
  694 
  695 CTAGS: ctags
  696 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  697 	$(am__define_uniq_tagged_files); \
  698 	test -z "$(CTAGS_ARGS)$$unique" \
  699 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  700 	     $$unique
  701 
  702 GTAGS:
  703 	here=`$(am__cd) $(top_builddir) && pwd` \
  704 	  && $(am__cd) $(top_srcdir) \
  705 	  && gtags -i $(GTAGS_ARGS) "$$here"
  706 cscopelist: cscopelist-am
  707 
  708 cscopelist-am: $(am__tagged_files)
  709 	list='$(am__tagged_files)'; \
  710 	case "$(srcdir)" in \
  711 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  712 	  *) sdir=$(subdir)/$(srcdir) ;; \
  713 	esac; \
  714 	for i in $$list; do \
  715 	  if test -f "$$i"; then \
  716 	    echo "$(subdir)/$$i"; \
  717 	  else \
  718 	    echo "$$sdir/$$i"; \
  719 	  fi; \
  720 	done >> $(top_builddir)/cscope.files
  721 
  722 distclean-tags:
  723 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  724 
  725 # Recover from deleted '.trs' file; this should ensure that
  726 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  727 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  728 # to avoid problems with "make -n".
  729 .log.trs:
  730 	rm -f $< $@
  731 	$(MAKE) $(AM_MAKEFLAGS) $<
  732 
  733 # Leading 'am--fnord' is there to ensure the list of targets does not
  734 # expand to empty, as could happen e.g. with make check TESTS=''.
  735 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  736 am--force-recheck:
  737 	@:
  738 
  739 $(TEST_SUITE_LOG): $(TEST_LOGS)
  740 	@$(am__set_TESTS_bases); \
  741 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  742 	redo_bases=`for i in $$bases; do \
  743 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  744 	            done`; \
  745 	if test -n "$$redo_bases"; then \
  746 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  747 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  748 	  if $(am__make_dryrun); then :; else \
  749 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  750 	  fi; \
  751 	fi; \
  752 	if test -n "$$am__remaking_logs"; then \
  753 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  754 	       "recursion detected" >&2; \
  755 	elif test -n "$$redo_logs"; then \
  756 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  757 	fi; \
  758 	if $(am__make_dryrun); then :; else \
  759 	  st=0;  \
  760 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  761 	  for i in $$redo_bases; do \
  762 	    test -f $$i.trs && test -r $$i.trs \
  763 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  764 	    test -f $$i.log && test -r $$i.log \
  765 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  766 	  done; \
  767 	  test $$st -eq 0 || exit 1; \
  768 	fi
  769 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  770 	ws='[ 	]'; \
  771 	results=`for b in $$bases; do echo $$b.trs; done`; \
  772 	test -n "$$results" || results=/dev/null; \
  773 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  774 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  775 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  776 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  777 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  778 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  779 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  780 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  781 	  success=true; \
  782 	else \
  783 	  success=false; \
  784 	fi; \
  785 	br='==================='; br=$$br$$br$$br$$br; \
  786 	result_count () \
  787 	{ \
  788 	    if test x"$$1" = x"--maybe-color"; then \
  789 	      maybe_colorize=yes; \
  790 	    elif test x"$$1" = x"--no-color"; then \
  791 	      maybe_colorize=no; \
  792 	    else \
  793 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  794 	    fi; \
  795 	    shift; \
  796 	    desc=$$1 count=$$2; \
  797 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  798 	      color_start=$$3 color_end=$$std; \
  799 	    else \
  800 	      color_start= color_end=; \
  801 	    fi; \
  802 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  803 	}; \
  804 	create_testsuite_report () \
  805 	{ \
  806 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  807 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  808 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  809 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  810 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  811 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  812 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  813 	}; \
  814 	{								\
  815 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  816 	    $(am__rst_title);						\
  817 	  create_testsuite_report --no-color;				\
  818 	  echo;								\
  819 	  echo ".. contents:: :depth: 2";				\
  820 	  echo;								\
  821 	  for b in $$bases; do echo $$b; done				\
  822 	    | $(am__create_global_log);					\
  823 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  824 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  825 	if $$success; then						\
  826 	  col="$$grn";							\
  827 	 else								\
  828 	  col="$$red";							\
  829 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  830 	fi;								\
  831 	echo "$${col}$$br$${std}"; 					\
  832 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  833 	echo "$${col}$$br$${std}"; 					\
  834 	create_testsuite_report --maybe-color;				\
  835 	echo "$$col$$br$$std";						\
  836 	if $$success; then :; else					\
  837 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  838 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  839 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  840 	  fi;								\
  841 	  echo "$$col$$br$$std";					\
  842 	fi;								\
  843 	$$success || exit 1
  844 
  845 check-TESTS:
  846 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  847 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  848 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  849 	@set +e; $(am__set_TESTS_bases); \
  850 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  851 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  852 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  853 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  854 	exit $$?;
  855 recheck: all $(check_PROGRAMS)
  856 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  857 	@set +e; $(am__set_TESTS_bases); \
  858 	bases=`for i in $$bases; do echo $$i; done \
  859 	         | $(am__list_recheck_tests)` || exit 1; \
  860 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  861 	log_list=`echo $$log_list`; \
  862 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  863 	        am__force_recheck=am--force-recheck \
  864 	        TEST_LOGS="$$log_list"; \
  865 	exit $$?
  866 functions_test.log: functions_test$(EXEEXT)
  867 	@p='functions_test$(EXEEXT)'; \
  868 	b='functions_test'; \
  869 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  870 	--log-file $$b.log --trs-file $$b.trs \
  871 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  872 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  873 .test.log:
  874 	@p='$<'; \
  875 	$(am__set_b); \
  876 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  877 	--log-file $$b.log --trs-file $$b.trs \
  878 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  879 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  880 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  881 @am__EXEEXT_TRUE@	@p='$<'; \
  882 @am__EXEEXT_TRUE@	$(am__set_b); \
  883 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  884 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  885 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  886 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  887 
  888 distdir: $(DISTFILES)
  889 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  890 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  891 	list='$(DISTFILES)'; \
  892 	  dist_files=`for file in $$list; do echo $$file; done | \
  893 	  sed -e "s|^$$srcdirstrip/||;t" \
  894 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  895 	case $$dist_files in \
  896 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  897 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  898 			   sort -u` ;; \
  899 	esac; \
  900 	for file in $$dist_files; do \
  901 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  902 	  if test -d $$d/$$file; then \
  903 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  904 	    if test -d "$(distdir)/$$file"; then \
  905 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  906 	    fi; \
  907 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  908 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  909 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  910 	    fi; \
  911 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  912 	  else \
  913 	    test -f "$(distdir)/$$file" \
  914 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  915 	    || exit 1; \
  916 	  fi; \
  917 	done
  918 check-am: all-am
  919 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  920 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  921 check: check-am
  922 all-am: Makefile $(PROGRAMS)
  923 installdirs:
  924 	for dir in "$(DESTDIR)$(bindir)"; do \
  925 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  926 	done
  927 install: install-am
  928 install-exec: install-exec-am
  929 install-data: install-data-am
  930 uninstall: uninstall-am
  931 
  932 install-am: all-am
  933 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  934 
  935 installcheck: installcheck-am
  936 install-strip:
  937 	if test -z '$(STRIP)'; then \
  938 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  939 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  940 	      install; \
  941 	else \
  942 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  943 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  944 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  945 	fi
  946 mostlyclean-generic:
  947 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  948 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  949 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  950 
  951 clean-generic:
  952 
  953 distclean-generic:
  954 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  955 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  956 
  957 maintainer-clean-generic:
  958 	@echo "This command is intended for maintainers to use"
  959 	@echo "it deletes files that may require special tools to rebuild."
  960 clean: clean-am
  961 
  962 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
  963 	clean-libtool mostlyclean-am
  964 
  965 distclean: distclean-am
  966 	-rm -rf ./$(DEPDIR)
  967 	-rm -f Makefile
  968 distclean-am: clean-am distclean-compile distclean-generic \
  969 	distclean-tags
  970 
  971 dvi: dvi-am
  972 
  973 dvi-am:
  974 
  975 html: html-am
  976 
  977 html-am:
  978 
  979 info: info-am
  980 
  981 info-am:
  982 
  983 install-data-am:
  984 
  985 install-dvi: install-dvi-am
  986 
  987 install-dvi-am:
  988 
  989 install-exec-am: install-binPROGRAMS
  990 
  991 install-html: install-html-am
  992 
  993 install-html-am:
  994 
  995 install-info: install-info-am
  996 
  997 install-info-am:
  998 
  999 install-man:
 1000 
 1001 install-pdf: install-pdf-am
 1002 
 1003 install-pdf-am:
 1004 
 1005 install-ps: install-ps-am
 1006 
 1007 install-ps-am:
 1008 
 1009 installcheck-am:
 1010 
 1011 maintainer-clean: maintainer-clean-am
 1012 	-rm -rf ./$(DEPDIR)
 1013 	-rm -f Makefile
 1014 maintainer-clean-am: distclean-am maintainer-clean-generic
 1015 
 1016 mostlyclean: mostlyclean-am
 1017 
 1018 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1019 	mostlyclean-libtool
 1020 
 1021 pdf: pdf-am
 1022 
 1023 pdf-am:
 1024 
 1025 ps: ps-am
 1026 
 1027 ps-am:
 1028 
 1029 uninstall-am: uninstall-binPROGRAMS
 1030 
 1031 .MAKE: check-am install-am install-strip
 1032 
 1033 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
 1034 	clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
 1035 	clean-libtool cscopelist-am ctags ctags-am distclean \
 1036 	distclean-compile distclean-generic distclean-libtool \
 1037 	distclean-tags distdir dvi dvi-am html html-am info info-am \
 1038 	install install-am install-binPROGRAMS install-data \
 1039 	install-data-am install-dvi install-dvi-am install-exec \
 1040 	install-exec-am install-html install-html-am install-info \
 1041 	install-info-am install-man install-pdf install-pdf-am \
 1042 	install-ps install-ps-am install-strip installcheck \
 1043 	installcheck-am installdirs maintainer-clean \
 1044 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 1045 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1046 	recheck tags tags-am uninstall uninstall-am \
 1047 	uninstall-binPROGRAMS
 1048 
 1049 .PRECIOUS: Makefile
 1050 
 1051 
 1052 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1053 # Otherwise a system limit (for SysV at least) may be exceeded.
 1054 .NOEXPORT: